### Method

# Gio Cancellable push_current

#### Declaration

    void
    g_cancellable_push_current (
      GCancellable* cancellable
    )

#### Description

Pushes `cancellable` onto the cancellable stack. The current cancellable can then be received using g_cancellable_get_current().

This is useful when implementing cancellable operations in code that does not allow you to pass down the cancellable object.

This is typically called automatically by e.g. `GFile` operations, so you rarely have to call this yourself.